Page({
  /**
   * 页面的初始数据
   */
  data: {
    noticeId: null,
    noticeDetail: {
      id: '',
      title: '',
      content: '',
      date: '',
      source: ''
    }
  },

  onLoad: function (options) {
    if (options.noticeData) {
      try {
        // 解析传递过来的通知数据
        const noticeData = JSON.parse(decodeURIComponent(options.noticeData));
        // 直接设置通知详情数据
        this.setData({
          noticeId: noticeData.id,
          noticeDetail:noticeData
        });
      } catch (error) {
        console.error('解析通知数据失败', error);
        wx.showToast({
          title: '获取通知详情失败',
          icon: 'none'
        });
      }
    }
  },

  /**
   * 返回上一页
   */
  goBack: function() {
    wx.navigateBack();
  },
}) 